# Installation Guide
----------

### Browser requirement

* Microsoft Edge 
* Firefox 40.0 or higher
* Safari 7.0 or higher
* Chrome 40.0 or higher

### Memory requirement

Your system running OneDev should have at least 2G physical memory. If you have many large git repositories, you will need more memory. 

### Installation approaches

* [Run as Docker Container](run-as-docker-container.md)
  
* [Deploy into Kubernetes Cluster](deploy-into-k8s.md)

*  [Install on Virtual Machine/Bare Metal Machine](run-on-bare-metal-machine.md)